Skip to content

# Interface: TooltipDecoratorProps

Renderer.Component.TooltipDecoratorProps

## Hierarchy

- TooltipDecoratorProps

↳ ButtonProps

↳ IconProps

↳ BadgeProps

↳ LineProgressProps

↳ StatusBrickProps

## Table of contents

### Properties

- tooltip
- tooltipOverrideDisabled

## Properties

### tooltip

• `Optional` tooltip: `ReactNode` | `Omit`<TooltipProps, `"targetId"`>

### tooltipOverrideDisabled

• `Optional` tooltipOverrideDisabled: `boolean`

forces tooltip to detect the target's parent for mouse events. This is useful for displaying tooltips even when the target is "disabled"